<html>
<head>
<title>Ogre::CustomCompositionPass Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1CustomCompositionPass.html">CustomCompositionPass</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::CustomCompositionPass Class Reference<div class="ingroups"><a class="el" href="group__Effects.html">Effects</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::CustomCompositionPass" -->
<p>Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes.  
 <a href="classOgre_1_1CustomCompositionPass.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreCustomCompositionPass_8h_source.html">OgreCustomCompositionPass.h</a>&gt;</code></p>

<p><a href="classOgre_1_1CustomCompositionPass-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <br class="typebreak"/>
<a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CustomCompositionPass.html#a6b8c7a3743f9bb44e27c0348a0035e7b">createOperation</a> (<a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *instance, const <a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *pass)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a custom composition operation.  <a href="#a6b8c7a3743f9bb44e27c0348a0035e7b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1CustomCompositionPass.html#acd70dc37eff98fa24bdd9c7c46e095d6">~CustomCompositionPass</a> ()</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Interface for custom composition passes, allowing custom operations (in addition to the quad, scene and clear operations) in composition passes. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1CompositorManager.html#ae9b8ca4c2a51c0720bb31393d20fe7c9" title="Register a custom composition pass.">CompositorManager::registerCustomCompositionPass</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreCustomCompositionPass_8h_source.html#l00045">45</a> of file <a class="el" href="OgreCustomCompositionPass_8h_source.html">OgreCustomCompositionPass.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acd70dc37eff98fa24bdd9c7c46e095d6"></a><!-- doxytag: member="Ogre::CustomCompositionPass::~CustomCompositionPass" ref="acd70dc37eff98fa24bdd9c7c46e095d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CustomCompositionPass.html#acd70dc37eff98fa24bdd9c7c46e095d6">Ogre::CustomCompositionPass::~CustomCompositionPass</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreCustomCompositionPass_8h_source.html#l00059">59</a> of file <a class="el" href="OgreCustomCompositionPass_8h_source.html">OgreCustomCompositionPass.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6b8c7a3743f9bb44e27c0348a0035e7b"></a><!-- doxytag: member="Ogre::CustomCompositionPass::createOperation" ref="a6b8c7a3743f9bb44e27c0348a0035e7b" args="(CompositorInstance *instance, const CompositionPass *pass)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1CompositorInstance_1_1RenderSystemOperation.html">CompositorInstance::RenderSystemOperation</a>* <a class="el" href="classOgre_1_1CustomCompositionPass.html#a6b8c7a3743f9bb44e27c0348a0035e7b">Ogre::CustomCompositionPass::createOperation</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1CompositorInstance.html">CompositorInstance</a> *&#160;</td>
          <td class="paramname"><em>instance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1CompositionPass.html">CompositionPass</a> *&#160;</td>
          <td class="paramname"><em>pass</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a custom composition operation. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">pass</td><td>The <a class="el" href="classOgre_1_1CompositionPass.html" title="Object representing one pass or operation in a composition sequence.">CompositionPass</a> that triggered the request </td></tr>
    <tr><td class="paramname">instance</td><td>The compositor instance that this operation will be performed in </td></tr>
  </table>
  </dd>
</dl>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This call only happens once during creation. The RenderSystemOperation will get called each render. </dd>
<dd>
The created operation must be instanciated using the OGRE_NEW macro. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreCustomCompositionPass_8h_source.html">OgreCustomCompositionPass.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:55
</p>
</body>
</html>
